aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorVratko Polak <vrpolak@cisco.com>2019-08-19 15:58:43 +0200
committerVratko Polak <vrpolak@cisco.com>2020-04-30 13:01:06 +0000
commit69f54a9218e62a8381215e57d7ea78036c3bbd1d (patch)
tree2d2ea7ebcd5f64f8088a3a6026249e62d481c131
parentc3b3520d4a2f6e40a450a7b3d502e027746af0dc (diff)
VPP perf per patch: Reverse the order of tests
If current VPP is broken, we want to fail early. If there is API change, we are more interested in current results, even if parent is likely to fail. Change-Id: I552485bbb9fe0053bae39de7939f94a5971bb63b Signed-off-by: Vratko Polak <vrpolak@cisco.com> (cherry picked from commit 103d029def9e8feb0a89f25798bb3f2ac2beea31)
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh9
1 files changed, 5 insertions, 4 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index afe5f97575..ad0ae90085 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -68,19 +68,20 @@ for ((iter=0; iter<iterations; iter++)); do
# but we need to clean it explicitly on subsequent iterations.
cleanup_topo
fi
- select_build "build_parent" || die
+ # Testing current first. Good for early failures or for API changes.
+ select_build "build_current" || die
check_download_dir || die
run_pybot || die
copy_archives || die
- archive_parse_test_results "csit_parent/${iter}" || die
+ archive_parse_test_results "csit_current/${iter}" || die
die_on_pybot_error || die
# TODO: Use less heavy way to avoid apt remove failures.
cleanup_topo
- select_build "build_current" || die
+ select_build "build_parent" || die
check_download_dir || die
run_pybot || die
copy_archives || die
- archive_parse_test_results "csit_current/${iter}" || die
+ archive_parse_test_results "csit_parent/${iter}" || die
die_on_pybot_error || die
done
untrap_and_unreserve_testbed || die